All Frameworks Object Hierarchy This Framework Indexes
Dim InputObjectType(0) Set Document = CATIA.ActiveDocument Set Selection = Document.Selection Set HybridBodies = Document.Part.HybridBodies Set HybridBody = HybridBodies.Item("Geometrical Set.1") 'We propose to the user that he select the first vertex InputObjectType(0)="Vertex" Status=Selection.SelectElement2(InputObjectType,"Select the first vertex",true) if (Status = "cancel") then Exit Sub Set FirstVertex = Selection.Item(1).Value Selection.Clear 'We propose to the user that he select the second vertex InputObjectType(0)="Vertex" Status=Selection.SelectElement2(InputObjectType,"Select the second vertex",true) if (Status = "cancel") then Exit Sub Set SecondVertex = Selection.Item(1).Value Set hybridShapeLinePtPt = HybridShapeFactory.AddNewLinePtPt(FirstVertex,SecondVertex) HybridBody.AppendHybridShape hybridShapeLinePtPt Document.Part.InWorkObject = hybridShapeLinePtPt Document.Part.Update
Copyright © 2003, Dassault Systèmes. All rights reserved.